Bug 1020167 - [RFE] double-clicking on a grid column border should auto-resize the column to minimal size
[RFE] double-clicking on a grid column border should auto-resize the column t...
Status: NEW
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
---
Unspecified Unspecified
unspecified Severity medium (vote)
: ---
: ---
Assigned To: nobody nobody
Pavel Stehlik
: FutureFeature
: 1268455 (view as bug list)
Depends On:
Blocks: 1213937
  Show dependency treegraph
 
Reported: 2013-10-17 03:49 EDT by Petr Spacek
Modified: 2017-11-30 16:15 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: UX
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ylavi: ovirt‑future?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)
webadmin_columns_too_small_or_wide.png (125.46 KB, image/png)
2013-10-17 03:49 EDT, Petr Spacek
no flags Details

  None (edit)
Description Petr Spacek 2013-10-17 03:49:46 EDT
Created attachment 813220 [details]
webadmin_columns_too_small_or_wide.png

Description of problem:
I would like to see that RHEV-M web admin automatically resizes column widths to minimal length required for displaying the whole value.

Actual results:
Please see attached screenshot. Columns "Host", "IP address", "Cluster", "Data Center" and "Display" are too wide and column "Name" is to narrow.

Generally, the same applies to the tree on left side - it can't be wider so it seems reasonable to make it narrower.


Expected results:
Web admin portal shows as much data as possible (without manual column resizing after each start).
Comment 1 Einav Cohen 2013-10-18 10:18:56 EDT
very tricky: it means that we will need to adjust the column width dynamically according to the values that return from the data-base. and what will happen after a refresh (which occurs automatically every 5 seconds by default), when a value will be added / updated / removed and impost a new minimal width? will we change the column width 'on the fly' upon each such refresh? and do we really want to show all full values of all columns, even if it means adding a horizontal scroll bar at the bottom of the grid/page in order to accommodate all this width?

need to consult the UXD team, but I believe that a better approach from a ux perspective is giving *reasonable* default *static* values as column widths, and then introduce solutions for columns that the user finds too large/too small, e.g. allow the user to adjust these widths (which we already have today, including persistence, so user has to do that only once), display tool-tip upon hover on truncated texts (which we are already doing today for truncated column-header texts, not sure about texts within the grids content), etc.
Comment 2 Eldan Hildesheim 2013-10-20 05:15:16 EDT
Hello,
What normally happens in large tables is that you decide on a specific column that will be resizable and all the other are static - let's take the VM grid as an example:
cpu, mem, ip, statuses in general are static.
The VM name can be based on percentage - which means will get narrower when all the screen is getting smaller.
In oVirt case, I tend to agree with Einav.
We have so many columns and all of them are crucial for the view.
Lets not forget that the reason we have a general Sub Stab is exactly for this purpose - if there is not enough space to show all the data in the grid - put it in the general sub tab. I wouldn't want to see the data move from the grid to the subtab just because we have a narrower window.
Regarding Petr suggestion:
We can perhaps make a better work for optimising the column width to static values: as ip, mem, cpu but we can't do it for Data Center, Cluster.. since here the width can vary.
Eldan
Comment 3 Petr Spacek 2013-10-21 04:55:08 EDT
Any improvement will help, thank you. I think that better handling of static columns like CPU, memory etc. will be step in the right direction :-)

I think that in some cases 'Data Center' and 'Cluster' values can be considered as static, because there is only one possible value (only one DC/cluster defined) OR the filter specifies condition like DC = 'something'.

I propose another improvements:
- Double-click to column separator will auto-resize width to show the longest value (this is common practice in spreadsheet software)
- Provide a button to auto-resize all columns according to data show at the moment.

Thank you for your time!
Comment 4 Assaf Muller 2013-12-03 04:16:28 EST
I was about to suggest what Petr wrote in his last comment:
"Double-click to column separator will auto-resize width to show the longest value (this is common practice in spreadsheet software)"

+1
Comment 7 Yaniv Kaul 2017-11-16 07:58:20 EST
Relevant with 4.2?
Comment 8 Greg Sheremeta 2017-11-18 08:19:12 EST
(In reply to Yaniv Kaul from comment #7)
> Relevant with 4.2?

Yes.
Comment 9 Greg Sheremeta 2017-11-30 16:13:37 EST
*** Bug 1268455 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.